---
apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: gitlab-runner
spec:
  secretStoreRef:
    kind: ClusterSecretStore
    name: doppler
  target:
    name: gitlab-runner-secret
    creationPolicy: Owner
    template:
      engineVersion: v2
      data:
        runner-registration-token: "{{ .RUNNER_REGISTRATION_TOKEN }}"
        runner-token: "{{ .GITLAB_TOKEN_SECRET }}"
  dataFrom:
    - extract:
        key: GITLAB
